/*
 * Copyright (c) 2017, The Linux Foundation. All rights reserved.
 * Permission to use, copy, modify, and/or distribute this software for
 * any purpose with or without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all copies.
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
 * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */


/**
 * @defgroup
 * @{
 */
#ifndef HPPE_UNIPHY_REG_H
#define HPPE_UNIPHY_REG_H

/*[register] UNIPHY_OFFSET_CALIB_4*/
#define UNIPHY_OFFSET_CALIB_4
#define UNIPHY_OFFSET_CALIB_4_ADDRESS 0x1e0
#define UNIPHY_OFFSET_CALIB_4_NUM     3
#define UNIPHY_OFFSET_CALIB_4_INC     0x1
#define UNIPHY_OFFSET_CALIB_4_TYPE    REG_TYPE_RW
#define UNIPHY_OFFSET_CALIB_4_DEFAULT 0x0
	/*[field] MMD1_REG_SMPL_CAL_READY*/
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_SMPL_CAL_READY
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_SMPL_CAL_READY_OFFSET  0
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_SMPL_CAL_READY_LEN     1
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_SMPL_CAL_READY_DEFAULT 0x0
	/*[field] MMD1_REG_CLR_SAMPLER_CALIB_TIMEOUT*/
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CLR_SAMPLER_CALIB_TIMEOUT
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CLR_SAMPLER_CALIB_TIMEOUT_OFFSET  1
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CLR_SAMPLER_CALIB_TIMEOUT_LEN     1
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CLR_SAMPLER_CALIB_TIMEOUT_DEFAULT 0x0
	/*[field] MMD1_REG_LOCKDET_LCKDT_REG*/
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_LOCKDET_LCKDT_REG
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_LOCKDET_LCKDT_REG_OFFSET  4
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_LOCKDET_LCKDT_REG_LEN     1
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_LOCKDET_LCKDT_REG_DEFAULT 0x0
	/*[field] MMD1_REG_PLL_LOCKED_REG*/
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_PLL_LOCKED_REG
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_PLL_LOCKED_REG_OFFSET  6
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_PLL_LOCKED_REG_LEN     1
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_PLL_LOCKED_REG_DEFAULT 0x0
	/*[field] MMD1_REG_CALIBRATION_DONE_REG*/
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CALIBRATION_DONE_REG
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CALIBRATION_DONE_REG_OFFSET  7
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CALIBRATION_DONE_REG_LEN     1
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CALIBRATION_DONE_REG_DEFAULT 0x0
	/*[field] MMD1_REG_CAL_DETECT_TIME*/
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CAL_DETECT_TIME
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CAL_DETECT_TIME_OFFSET  8
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CAL_DETECT_TIME_LEN     5
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CAL_DETECT_TIME_DEFAULT 0x0
	/*[field] MMD1_REG_CAL_REP_TIME*/
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CAL_REP_TIME
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CAL_REP_TIME_OFFSET  13
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CAL_REP_TIME_LEN     3
	#define UNIPHY_OFFSET_CALIB_4_MMD1_REG_CAL_REP_TIME_DEFAULT 0x0

struct uniphy_offset_calib_4 {
	a_uint32_t  mmd1_reg_smpl_cal_ready:1;
	a_uint32_t  mmd1_reg_clr_sampler_calib_timeout:1;
	a_uint32_t  _reserved0:2;
	a_uint32_t  mmd1_reg_lockdet_lckdt_reg:1;
	a_uint32_t  _reserved1:1;
	a_uint32_t  mmd1_reg_pll_locked_reg:1;
	a_uint32_t  mmd1_reg_calibration_done_reg:1;
	a_uint32_t  mmd1_reg_cal_detect_time:5;
	a_uint32_t  mmd1_reg_cal_rep_time:3;
	a_uint32_t  _reserved2:16;
};

union uniphy_offset_calib_4_u {
	a_uint32_t val;
	struct uniphy_offset_calib_4 bf;
};

/*[register] UNIPHY_MODE_CTRL*/
#define UNIPHY_MODE_CTRL
#define UNIPHY_MODE_CTRL_ADDRESS 0x46c
#define UNIPHY_MODE_CTRL_NUM     3
#define UNIPHY_MODE_CTRL_INC     0x1
#define UNIPHY_MODE_CTRL_TYPE    REG_TYPE_RW
#define UNIPHY_MODE_CTRL_DEFAULT 0x221
	/*[field] NEWADDEDFROMHERE_CH0_ATHR_CSCO_MODE_25M*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_ATHR_CSCO_MODE_25M
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_ATHR_CSCO_MODE_25M_OFFSET  0
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_ATHR_CSCO_MODE_25M_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_ATHR_CSCO_MODE_25M_DEFAULT 0x1
	/*[field] NEWADDEDFROMHERE_CH1_CH0_SGMII*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH1_CH0_SGMII
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH1_CH0_SGMII_OFFSET  1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH1_CH0_SGMII_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH1_CH0_SGMII_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_CH1_0_SGMII*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH4_CH1_0_SGMII
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH4_CH1_0_SGMII_OFFSET  2
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH4_CH1_0_SGMII_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH4_CH1_0_SGMII_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_SGMII_EVEN_LOW*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SGMII_EVEN_LOW
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SGMII_EVEN_LOW_OFFSET  3
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SGMII_EVEN_LOW_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SGMII_EVEN_LOW_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_MODE_CTRL_25M*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_MODE_CTRL_25M
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_MODE_CTRL_25M_OFFSET  4
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_MODE_CTRL_25M_LEN     3
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_MODE_CTRL_25M_DEFAULT 0x2
	/*[field] NEWADDEDFROMHERE_CH0_QSGMII_SGMII*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_QSGMII_SGMII
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_QSGMII_SGMII_OFFSET  8
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_QSGMII_SGMII_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_QSGMII_SGMII_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_PSGMII_QSGMII*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_PSGMII_QSGMII
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_PSGMII_QSGMII_OFFSET  9
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_PSGMII_QSGMII_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_CH0_PSGMII_QSGMII_DEFAULT 0x1
	/*[field] NEWADDEDFROMHERE_SG_MODE*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SG_MODE
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SG_MODE_OFFSET  10
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SG_MODE_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SG_MODE_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_SGPLUS_MODE*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SGPLUS_MODE
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SGPLUS_MODE_OFFSET  11
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SGPLUS_MODE_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SGPLUS_MODE_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_XPCS_MODE*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_XPCS_MODE
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_XPCS_MODE_OFFSET  12
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_XPCS_MODE_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_XPCS_MODE_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_USXG_EN*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_USXG_EN
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_USXG_EN_OFFSET  13
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_USXG_EN_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_USXG_EN_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_SW_V17_V18*/
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SW_V17_V18
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SW_V17_V18_OFFSET  15
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SW_V17_V18_LEN     1
	#define UNIPHY_MODE_CTRL_NEWADDEDFROMHERE_SW_V17_V18_DEFAULT 0x0

struct uniphy_mode_ctrl {
	a_uint32_t  newaddedfromhere_ch0_athr_csco_mode_25m:1;
	a_uint32_t  newaddedfromhere_ch1_ch0_sgmii:1;
	a_uint32_t  newaddedfromhere_ch4_ch1_0_sgmii:1;
	a_uint32_t  newaddedfromhere_sgmii_even_low:1;
	a_uint32_t  newaddedfromhere_ch0_mode_ctrl_25m:3;
	a_uint32_t  _reserved0:1;
	a_uint32_t  newaddedfromhere_ch0_qsgmii_sgmii:1;
	a_uint32_t  newaddedfromhere_ch0_psgmii_qsgmii:1;
	a_uint32_t  newaddedfromhere_sg_mode:1;
	a_uint32_t  newaddedfromhere_sgplus_mode:1;
	a_uint32_t  newaddedfromhere_xpcs_mode:1;
	a_uint32_t  newaddedfromhere_usxg_en:1;
	a_uint32_t  _reserved1:1;
	a_uint32_t  newaddedfromhere_sw_v17_v18:1;
	a_uint32_t  _reserved2:16;
};

union uniphy_mode_ctrl_u {
	a_uint32_t val;
	struct uniphy_mode_ctrl bf;
};

/*[register] UNIPHY_CHANNEL0_INPUT_OUTPUT_4*/
#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4
#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_ADDRESS 0x480
#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NUM     3
#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_INC     0x1
#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_TYPE    REG_TYPE_RW
#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_DEFAULT 0x844
	/*[field] NEWADDEDFROMHERE_CH0_REM_PHY_LPBK*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_REM_PHY_LPBK
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_REM_PHY_LPBK_OFFSET  0
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_REM_PHY_LPBK_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_REM_PHY_LPBK_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_SPEED_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_SPEED_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_SPEED_25M_OFFSET  1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_SPEED_25M_LEN     2
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_SPEED_25M_DEFAULT 0x2
	/*[field] NEWADDEDFROMHERE_CH0_FORCE_SPEED_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_FORCE_SPEED_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_FORCE_SPEED_25M_OFFSET  3
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_FORCE_SPEED_25M_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_FORCE_SPEED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_MR_NP_LOADED_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_NP_LOADED_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_NP_LOADED_25M_OFFSET  4
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_NP_LOADED_25M_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_NP_LOADED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_MR_REG4_CH_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_REG4_CH_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_REG4_CH_25M_OFFSET  5
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_REG4_CH_25M_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_REG4_CH_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_MR_AN_ENABLE_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_AN_ENABLE_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_AN_ENABLE_25M_OFFSET  6
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_AN_ENABLE_25M_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_AN_ENABLE_25M_DEFAULT 0x1
	/*[field] NEWADDEDFROMHERE_CH0_MR_RESTART_AN_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_RESTART_AN_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_RESTART_AN_25M_OFFSET  7
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_RESTART_AN_25M_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_RESTART_AN_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_MR_LOOPBACK_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_LOOPBACK_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_LOOPBACK_25M_OFFSET  8
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_LOOPBACK_25M_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_LOOPBACK_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_MR_MAIN_RESET_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_MAIN_RESET_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_MAIN_RESET_25M_OFFSET  9
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_MAIN_RESET_25M_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_MR_MAIN_RESET_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_POWER_ON_25M*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_POWER_ON_25M
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_POWER_ON_25M_OFFSET  10
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_POWER_ON_25M_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_POWER_ON_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH0_ADP_SW_RSTN*/
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_ADP_SW_RSTN
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_ADP_SW_RSTN_OFFSET  11
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_ADP_SW_RSTN_LEN     1
	#define UNIPHY_CHANNEL0_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH0_ADP_SW_RSTN_DEFAULT 0x1

struct uniphy_channel0_input_output_4 {
	a_uint32_t  newaddedfromhere_ch0_rem_phy_lpbk:1;
	a_uint32_t  newaddedfromhere_ch0_speed_25m:2;
	a_uint32_t  newaddedfromhere_ch0_force_speed_25m:1;
	a_uint32_t  newaddedfromhere_ch0_mr_np_loaded_25m:1;
	a_uint32_t  newaddedfromhere_ch0_mr_reg4_ch_25m:1;
	a_uint32_t  newaddedfromhere_ch0_mr_an_enable_25m:1;
	a_uint32_t  newaddedfromhere_ch0_mr_restart_an_25m:1;
	a_uint32_t  newaddedfromhere_ch0_mr_loopback_25m:1;
	a_uint32_t  newaddedfromhere_ch0_mr_main_reset_25m:1;
	a_uint32_t  newaddedfromhere_ch0_power_on_25m:1;
	a_uint32_t  newaddedfromhere_ch0_adp_sw_rstn:1;
	a_uint32_t  _reserved0:20;
};

union uniphy_channel0_input_output_4_u {
	a_uint32_t val;
	struct uniphy_channel0_input_output_4 bf;
};

/*[register] UNIPHY_CHANNEL1_INPUT_OUTPUT_4*/
#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4
#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_ADDRESS 0x498
#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NUM     3
#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_INC     0x1
#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_TYPE    REG_TYPE_RW
#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_DEFAULT 0x844
	/*[field] NEWADDEDFROMHERE_CH1_REM_PHY_LPBK*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_REM_PHY_LPBK
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_REM_PHY_LPBK_OFFSET  0
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_REM_PHY_LPBK_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_REM_PHY_LPBK_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH1_SPEED_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_SPEED_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_SPEED_25M_OFFSET  1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_SPEED_25M_LEN     2
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_SPEED_25M_DEFAULT 0x2
	/*[field] NEWADDEDFROMHERE_CH1_FORCE_SPEED_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_FORCE_SPEED_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_FORCE_SPEED_25M_OFFSET  3
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_FORCE_SPEED_25M_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_FORCE_SPEED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH1_MR_NP_LOADED_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_NP_LOADED_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_NP_LOADED_25M_OFFSET  4
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_NP_LOADED_25M_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_NP_LOADED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH1_MR_REG4_CH_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_REG4_CH_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_REG4_CH_25M_OFFSET  5
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_REG4_CH_25M_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_REG4_CH_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH1_MR_AN_ENABLE_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_AN_ENABLE_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_AN_ENABLE_25M_OFFSET  6
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_AN_ENABLE_25M_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_AN_ENABLE_25M_DEFAULT 0x1
	/*[field] NEWADDEDFROMHERE_CH1_MR_RESTART_AN_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_RESTART_AN_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_RESTART_AN_25M_OFFSET  7
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_RESTART_AN_25M_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_RESTART_AN_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH1_MR_LOOPBACK_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_LOOPBACK_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_LOOPBACK_25M_OFFSET  8
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_LOOPBACK_25M_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_LOOPBACK_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH1_MR_MAIN_RESET_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_MAIN_RESET_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_MAIN_RESET_25M_OFFSET  9
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_MAIN_RESET_25M_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_MR_MAIN_RESET_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH1_POWER_ON_25M*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_POWER_ON_25M
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_POWER_ON_25M_OFFSET  10
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_POWER_ON_25M_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_POWER_ON_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH1_ADP_SW_RSTN*/
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_ADP_SW_RSTN
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_ADP_SW_RSTN_OFFSET  11
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_ADP_SW_RSTN_LEN     1
	#define UNIPHY_CHANNEL1_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH1_ADP_SW_RSTN_DEFAULT 0x1

struct uniphy_channel1_input_output_4 {
	a_uint32_t  newaddedfromhere_ch1_rem_phy_lpbk:1;
	a_uint32_t  newaddedfromhere_ch1_speed_25m:2;
	a_uint32_t  newaddedfromhere_ch1_force_speed_25m:1;
	a_uint32_t  newaddedfromhere_ch1_mr_np_loaded_25m:1;
	a_uint32_t  newaddedfromhere_ch1_mr_reg4_ch_25m:1;
	a_uint32_t  newaddedfromhere_ch1_mr_an_enable_25m:1;
	a_uint32_t  newaddedfromhere_ch1_mr_restart_an_25m:1;
	a_uint32_t  newaddedfromhere_ch1_mr_loopback_25m:1;
	a_uint32_t  newaddedfromhere_ch1_mr_main_reset_25m:1;
	a_uint32_t  newaddedfromhere_ch1_power_on_25m:1;
	a_uint32_t  newaddedfromhere_ch1_adp_sw_rstn:1;
	a_uint32_t  _reserved0:20;
};

union uniphy_channel1_input_output_4_u {
	a_uint32_t val;
	struct uniphy_channel1_input_output_4 bf;
};

/*[register] UNIPHY_CHANNEL2_INPUT_OUTPUT_4*/
#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4
#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_ADDRESS 0x4b0
#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NUM     3
#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_INC     0x1
#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_TYPE    REG_TYPE_RW
#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_DEFAULT 0x844
	/*[field] NEWADDEDFROMHERE_CH2_REM_PHY_LPBK*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_REM_PHY_LPBK
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_REM_PHY_LPBK_OFFSET  0
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_REM_PHY_LPBK_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_REM_PHY_LPBK_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH2_SPEED_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_SPEED_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_SPEED_25M_OFFSET  1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_SPEED_25M_LEN     2
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_SPEED_25M_DEFAULT 0x2
	/*[field] NEWADDEDFROMHERE_CH2_FORCE_SPEED_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_FORCE_SPEED_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_FORCE_SPEED_25M_OFFSET  3
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_FORCE_SPEED_25M_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_FORCE_SPEED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH2_MR_NP_LOADED_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_NP_LOADED_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_NP_LOADED_25M_OFFSET  4
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_NP_LOADED_25M_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_NP_LOADED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH2_MR_REG4_CH_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_REG4_CH_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_REG4_CH_25M_OFFSET  5
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_REG4_CH_25M_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_REG4_CH_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH2_MR_AN_ENABLE_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_AN_ENABLE_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_AN_ENABLE_25M_OFFSET  6
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_AN_ENABLE_25M_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_AN_ENABLE_25M_DEFAULT 0x1
	/*[field] NEWADDEDFROMHERE_CH2_MR_RESTART_AN_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_RESTART_AN_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_RESTART_AN_25M_OFFSET  7
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_RESTART_AN_25M_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_RESTART_AN_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH2_MR_LOOPBACK_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_LOOPBACK_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_LOOPBACK_25M_OFFSET  8
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_LOOPBACK_25M_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_LOOPBACK_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH2_MR_MAIN_RESET_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_MAIN_RESET_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_MAIN_RESET_25M_OFFSET  9
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_MAIN_RESET_25M_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_MR_MAIN_RESET_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH2_POWER_ON_25M*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_POWER_ON_25M
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_POWER_ON_25M_OFFSET  10
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_POWER_ON_25M_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_POWER_ON_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH2_ADP_SW_RSTN*/
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_ADP_SW_RSTN
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_ADP_SW_RSTN_OFFSET  11
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_ADP_SW_RSTN_LEN     1
	#define UNIPHY_CHANNEL2_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH2_ADP_SW_RSTN_DEFAULT 0x1

struct uniphy_channel2_input_output_4 {
	a_uint32_t  newaddedfromhere_ch2_rem_phy_lpbk:1;
	a_uint32_t  newaddedfromhere_ch2_speed_25m:2;
	a_uint32_t  newaddedfromhere_ch2_force_speed_25m:1;
	a_uint32_t  newaddedfromhere_ch2_mr_np_loaded_25m:1;
	a_uint32_t  newaddedfromhere_ch2_mr_reg4_ch_25m:1;
	a_uint32_t  newaddedfromhere_ch2_mr_an_enable_25m:1;
	a_uint32_t  newaddedfromhere_ch2_mr_restart_an_25m:1;
	a_uint32_t  newaddedfromhere_ch2_mr_loopback_25m:1;
	a_uint32_t  newaddedfromhere_ch2_mr_main_reset_25m:1;
	a_uint32_t  newaddedfromhere_ch2_power_on_25m:1;
	a_uint32_t  newaddedfromhere_ch2_adp_sw_rstn:1;
	a_uint32_t  _reserved0:20;
};

union uniphy_channel2_input_output_4_u {
	a_uint32_t val;
	struct uniphy_channel2_input_output_4 bf;
};

/*[register] UNIPHY_CHANNEL3_INPUT_OUTPUT_4*/
#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4
#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_ADDRESS 0x4c8
#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NUM     3
#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_INC     0x1
#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_TYPE    REG_TYPE_RW
#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_DEFAULT 0x844
	/*[field] NEWADDEDFROMHERE_CH3_REM_PHY_LPBK*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_REM_PHY_LPBK
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_REM_PHY_LPBK_OFFSET  0
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_REM_PHY_LPBK_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_REM_PHY_LPBK_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH3_SPEED_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_SPEED_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_SPEED_25M_OFFSET  1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_SPEED_25M_LEN     2
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_SPEED_25M_DEFAULT 0x2
	/*[field] NEWADDEDFROMHERE_CH3_FORCE_SPEED_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_FORCE_SPEED_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_FORCE_SPEED_25M_OFFSET  3
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_FORCE_SPEED_25M_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_FORCE_SPEED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH3_MR_NP_LOADED_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_NP_LOADED_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_NP_LOADED_25M_OFFSET  4
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_NP_LOADED_25M_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_NP_LOADED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH3_MR_REG4_CH_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_REG4_CH_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_REG4_CH_25M_OFFSET  5
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_REG4_CH_25M_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_REG4_CH_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH3_MR_AN_ENABLE_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_AN_ENABLE_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_AN_ENABLE_25M_OFFSET  6
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_AN_ENABLE_25M_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_AN_ENABLE_25M_DEFAULT 0x1
	/*[field] NEWADDEDFROMHERE_CH3_MR_RESTART_AN_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_RESTART_AN_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_RESTART_AN_25M_OFFSET  7
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_RESTART_AN_25M_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_RESTART_AN_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH3_MR_LOOPBACK_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_LOOPBACK_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_LOOPBACK_25M_OFFSET  8
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_LOOPBACK_25M_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_LOOPBACK_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH3_MR_MAIN_RESET_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_MAIN_RESET_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_MAIN_RESET_25M_OFFSET  9
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_MAIN_RESET_25M_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_MR_MAIN_RESET_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH3_POWER_ON_25M*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_POWER_ON_25M
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_POWER_ON_25M_OFFSET  10
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_POWER_ON_25M_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_POWER_ON_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH3_ADP_SW_RSTN*/
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_ADP_SW_RSTN
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_ADP_SW_RSTN_OFFSET  11
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_ADP_SW_RSTN_LEN     1
	#define UNIPHY_CHANNEL3_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH3_ADP_SW_RSTN_DEFAULT 0x1

struct uniphy_channel3_input_output_4 {
	a_uint32_t  newaddedfromhere_ch3_rem_phy_lpbk:1;
	a_uint32_t  newaddedfromhere_ch3_speed_25m:2;
	a_uint32_t  newaddedfromhere_ch3_force_speed_25m:1;
	a_uint32_t  newaddedfromhere_ch3_mr_np_loaded_25m:1;
	a_uint32_t  newaddedfromhere_ch3_mr_reg4_ch_25m:1;
	a_uint32_t  newaddedfromhere_ch3_mr_an_enable_25m:1;
	a_uint32_t  newaddedfromhere_ch3_mr_restart_an_25m:1;
	a_uint32_t  newaddedfromhere_ch3_mr_loopback_25m:1;
	a_uint32_t  newaddedfromhere_ch3_mr_main_reset_25m:1;
	a_uint32_t  newaddedfromhere_ch3_power_on_25m:1;
	a_uint32_t  newaddedfromhere_ch3_adp_sw_rstn:1;
	a_uint32_t  _reserved0:20;
};

union uniphy_channel3_input_output_4_u {
	a_uint32_t val;
	struct uniphy_channel3_input_output_4 bf;
};

/*[register] UNIPHY_CHANNEL4_INPUT_OUTPUT_4*/
#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4
#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_ADDRESS 0x4e0
#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NUM     3
#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_INC     0x1
#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_TYPE    REG_TYPE_RW
#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_DEFAULT 0x844
	/*[field] NEWADDEDFROMHERE_CH4_REM_PHY_LPBK*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_REM_PHY_LPBK
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_REM_PHY_LPBK_OFFSET  0
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_REM_PHY_LPBK_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_REM_PHY_LPBK_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_SPEED_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_SPEED_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_SPEED_25M_OFFSET  1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_SPEED_25M_LEN     2
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_SPEED_25M_DEFAULT 0x2
	/*[field] NEWADDEDFROMHERE_CH4_FORCE_SPEED_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_FORCE_SPEED_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_FORCE_SPEED_25M_OFFSET  3
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_FORCE_SPEED_25M_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_FORCE_SPEED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_MR_NP_LOADED_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_NP_LOADED_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_NP_LOADED_25M_OFFSET  4
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_NP_LOADED_25M_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_NP_LOADED_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_MR_REG4_CH_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_REG4_CH_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_REG4_CH_25M_OFFSET  5
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_REG4_CH_25M_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_REG4_CH_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_MR_AN_ENABLE_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_AN_ENABLE_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_AN_ENABLE_25M_OFFSET  6
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_AN_ENABLE_25M_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_AN_ENABLE_25M_DEFAULT 0x1
	/*[field] NEWADDEDFROMHERE_CH4_MR_RESTART_AN_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_RESTART_AN_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_RESTART_AN_25M_OFFSET  7
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_RESTART_AN_25M_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_RESTART_AN_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_MR_LOOPBACK_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_LOOPBACK_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_LOOPBACK_25M_OFFSET  8
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_LOOPBACK_25M_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_LOOPBACK_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_MR_MAIN_RESET_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_MAIN_RESET_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_MAIN_RESET_25M_OFFSET  9
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_MAIN_RESET_25M_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_MR_MAIN_RESET_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_POWER_ON_25M*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_POWER_ON_25M
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_POWER_ON_25M_OFFSET  10
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_POWER_ON_25M_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_POWER_ON_25M_DEFAULT 0x0
	/*[field] NEWADDEDFROMHERE_CH4_ADP_SW_RSTN*/
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_ADP_SW_RSTN
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_ADP_SW_RSTN_OFFSET  11
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_ADP_SW_RSTN_LEN     1
	#define UNIPHY_CHANNEL4_INPUT_OUTPUT_4_NEWADDEDFROMHERE_CH4_ADP_SW_RSTN_DEFAULT 0x1

struct uniphy_channel4_input_output_4 {
	a_uint32_t  newaddedfromhere_ch4_rem_phy_lpbk:1;
	a_uint32_t  newaddedfromhere_ch4_speed_25m:2;
	a_uint32_t  newaddedfromhere_ch4_force_speed_25m:1;
	a_uint32_t  newaddedfromhere_ch4_mr_np_loaded_25m:1;
	a_uint32_t  newaddedfromhere_ch4_mr_reg4_ch_25m:1;
	a_uint32_t  newaddedfromhere_ch4_mr_an_enable_25m:1;
	a_uint32_t  newaddedfromhere_ch4_mr_restart_an_25m:1;
	a_uint32_t  newaddedfromhere_ch4_mr_loopback_25m:1;
	a_uint32_t  newaddedfromhere_ch4_mr_main_reset_25m:1;
	a_uint32_t  newaddedfromhere_ch4_power_on_25m:1;
	a_uint32_t  newaddedfromhere_ch4_adp_sw_rstn:1;
	a_uint32_t  _reserved0:20;
};

union uniphy_channel4_input_output_4_u {
	a_uint32_t val;
	struct uniphy_channel4_input_output_4 bf;
};

/*[register] SR_XS_PCS_KR_STS1*/
#define SR_XS_PCS_KR_STS1
#define SR_XS_PCS_KR_STS1_ADDRESS 0x30020
#define SR_XS_PCS_KR_STS1_NUM     3
#define SR_XS_PCS_KR_STS1_INC     0x1
#define SR_XS_PCS_KR_STS1_TYPE    REG_TYPE_RW
#define SR_XS_PCS_KR_STS1_DEFAULT 0x0
	/*[field] RPCS_BKLK*/
	#define SR_XS_PCS_KR_STS1_RPCS_BKLK
	#define SR_XS_PCS_KR_STS1_RPCS_BKLK_OFFSET  0
	#define SR_XS_PCS_KR_STS1_RPCS_BKLK_LEN     1
	#define SR_XS_PCS_KR_STS1_RPCS_BKLK_DEFAULT 0x0
	/*[field] PRCS_HIBER*/
	#define SR_XS_PCS_KR_STS1_PRCS_HIBER
	#define SR_XS_PCS_KR_STS1_PRCS_HIBER_OFFSET  1
	#define SR_XS_PCS_KR_STS1_PRCS_HIBER_LEN     1
	#define SR_XS_PCS_KR_STS1_PRCS_HIBER_DEFAULT 0x0
	/*[field] PRBS31ABL*/
	#define SR_XS_PCS_KR_STS1_PRBS31ABL
	#define SR_XS_PCS_KR_STS1_PRBS31ABL_OFFSET  2
	#define SR_XS_PCS_KR_STS1_PRBS31ABL_LEN     1
	#define SR_XS_PCS_KR_STS1_PRBS31ABL_DEFAULT 0x0
	/*[field] PRBS9ABL*/
	#define SR_XS_PCS_KR_STS1_PRBS9ABL
	#define SR_XS_PCS_KR_STS1_PRBS9ABL_OFFSET  3
	#define SR_XS_PCS_KR_STS1_PRBS9ABL_LEN     1
	#define SR_XS_PCS_KR_STS1_PRBS9ABL_DEFAULT 0x0
	/*[field] PLU*/
	#define SR_XS_PCS_KR_STS1_PLU
	#define SR_XS_PCS_KR_STS1_PLU_OFFSET  12
	#define SR_XS_PCS_KR_STS1_PLU_LEN     1
	#define SR_XS_PCS_KR_STS1_PLU_DEFAULT 0x0

struct sr_xs_pcs_kr_sts1 {
	a_uint32_t  rpcs_bklk:1;
	a_uint32_t  prcs_hiber:1;
	a_uint32_t  prbs31abl:1;
	a_uint32_t  prbs9abl:1;
	a_uint32_t  _reserved0:8;
	a_uint32_t  plu:1;
	a_uint32_t  _reserved1:19;
};

union sr_xs_pcs_kr_sts1_u {
	a_uint32_t val;
	struct sr_xs_pcs_kr_sts1 bf;
};

/*[register] VR_XS_PCS_DIG_CTRL1*/
#define VR_XS_PCS_DIG_CTRL1
#define VR_XS_PCS_DIG_CTRL1_ADDRESS 0x38000
#define VR_XS_PCS_DIG_CTRL1_NUM     3
#define VR_XS_PCS_DIG_CTRL1_INC     0x1
#define VR_XS_PCS_DIG_CTRL1_TYPE    REG_TYPE_RW
#define VR_XS_PCS_DIG_CTRL1_DEFAULT 0x0
	/*[field] DSKBYP*/
	#define VR_XS_PCS_DIG_CTRL1_DSKBYP
	#define VR_XS_PCS_DIG_CTRL1_DSKBYP_OFFSET  0
	#define VR_XS_PCS_DIG_CTRL1_DSKBYP_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_DSKBYP_DEFAULT 0x0
	/*[field] BYP_PWRUP*/
	#define VR_XS_PCS_DIG_CTRL1_BYP_PWRUP
	#define VR_XS_PCS_DIG_CTRL1_BYP_PWRUP_OFFSET  1
	#define VR_XS_PCS_DIG_CTRL1_BYP_PWRUP_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_BYP_PWRUP_DEFAULT 0x0
	/*[field] EN_2_5G_MODE*/
	#define VR_XS_PCS_DIG_CTRL1_EN_2_5G_MODE
	#define VR_XS_PCS_DIG_CTRL1_EN_2_5G_MODE_OFFSET  2
	#define VR_XS_PCS_DIG_CTRL1_EN_2_5G_MODE_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_EN_2_5G_MODE_DEFAULT 0x0
	/*[field] CR_CJN*/
	#define VR_XS_PCS_DIG_CTRL1_CR_CJN
	#define VR_XS_PCS_DIG_CTRL1_CR_CJN_OFFSET  3
	#define VR_XS_PCS_DIG_CTRL1_CR_CJN_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_CR_CJN_DEFAULT 0x0
	/*[field] DTXLANED_0*/
	#define VR_XS_PCS_DIG_CTRL1_DTXLANED_0
	#define VR_XS_PCS_DIG_CTRL1_DTXLANED_0_OFFSET  4
	#define VR_XS_PCS_DIG_CTRL1_DTXLANED_0_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_DTXLANED_0_DEFAULT 0x0
	/*[field] DTXLANED_3_1*/
	#define VR_XS_PCS_DIG_CTRL1_DTXLANED_3_1
	#define VR_XS_PCS_DIG_CTRL1_DTXLANED_3_1_OFFSET  5
	#define VR_XS_PCS_DIG_CTRL1_DTXLANED_3_1_LEN     3
	#define VR_XS_PCS_DIG_CTRL1_DTXLANED_3_1_DEFAULT 0x0
	/*[field] INIT*/
	#define VR_XS_PCS_DIG_CTRL1_INIT
	#define VR_XS_PCS_DIG_CTRL1_INIT_OFFSET  8
	#define VR_XS_PCS_DIG_CTRL1_INIT_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_INIT_DEFAULT 0x0
	/*[field] USXG_EN*/
	#define VR_XS_PCS_DIG_CTRL1_USXG_EN
	#define VR_XS_PCS_DIG_CTRL1_USXG_EN_OFFSET  9
	#define VR_XS_PCS_DIG_CTRL1_USXG_EN_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_USXG_EN_DEFAULT 0x0
	/*[field] USRA_RST*/
	#define VR_XS_PCS_DIG_CTRL1_USRA_RST
	#define VR_XS_PCS_DIG_CTRL1_USRA_RST_OFFSET  10
	#define VR_XS_PCS_DIG_CTRL1_USRA_RST_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_USRA_RST_DEFAULT 0x0
	/*[field] PWRSV*/
	#define VR_XS_PCS_DIG_CTRL1_PWRSV
	#define VR_XS_PCS_DIG_CTRL1_PWRSV_OFFSET  11
	#define VR_XS_PCS_DIG_CTRL1_PWRSV_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_PWRSV_DEFAULT 0x0
	/*[field] CL37_BP*/
	#define VR_XS_PCS_DIG_CTRL1_CL37_BP
	#define VR_XS_PCS_DIG_CTRL1_CL37_BP_OFFSET  12
	#define VR_XS_PCS_DIG_CTRL1_CL37_BP_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_CL37_BP_DEFAULT 0x0
	/*[field] EN_VSMMD1*/
	#define VR_XS_PCS_DIG_CTRL1_EN_VSMMD1
	#define VR_XS_PCS_DIG_CTRL1_EN_VSMMD1_OFFSET  13
	#define VR_XS_PCS_DIG_CTRL1_EN_VSMMD1_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_EN_VSMMD1_DEFAULT 0x0
	/*[field] R2TLBE*/
	#define VR_XS_PCS_DIG_CTRL1_R2TLBE
	#define VR_XS_PCS_DIG_CTRL1_R2TLBE_OFFSET  14
	#define VR_XS_PCS_DIG_CTRL1_R2TLBE_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_R2TLBE_DEFAULT 0x0
	/*[field] VR_RST*/
	#define VR_XS_PCS_DIG_CTRL1_VR_RST
	#define VR_XS_PCS_DIG_CTRL1_VR_RST_OFFSET  15
	#define VR_XS_PCS_DIG_CTRL1_VR_RST_LEN     1
	#define VR_XS_PCS_DIG_CTRL1_VR_RST_DEFAULT 0x0

struct vr_xs_pcs_dig_ctrl1 {
	a_uint32_t  dskbyp:1;
	a_uint32_t  byp_pwrup:1;
	a_uint32_t  en_2_5g_mode:1;
	a_uint32_t  cr_cjn:1;
	a_uint32_t  dtxlaned_0:1;
	a_uint32_t  dtxlaned_3_1:3;
	a_uint32_t  init:1;
	a_uint32_t  usxg_en:1;
	a_uint32_t  usra_rst:1;
	a_uint32_t  pwrsv:1;
	a_uint32_t  cl37_bp:1;
	a_uint32_t  en_vsmmd1:1;
	a_uint32_t  r2tlbe:1;
	a_uint32_t  vr_rst:1;
	a_uint32_t  _reserved0:16;
};

union vr_xs_pcs_dig_ctrl1_u {
	a_uint32_t val;
	struct vr_xs_pcs_dig_ctrl1 bf;
};

/*[register] SR_MII_CTRL*/
#define SR_MII_CTRL
#define SR_MII_CTRL_ADDRESS 0x1f0000
#define SR_MII_CTRL_NUM     3
#define SR_MII_CTRL_INC     0x1
#define SR_MII_CTRL_TYPE    REG_TYPE_RW
#define SR_MII_CTRL_DEFAULT 0x0
	/*[field] SS5*/
	#define SR_MII_CTRL_SS5
	#define SR_MII_CTRL_SS5_OFFSET  5
	#define SR_MII_CTRL_SS5_LEN     1
	#define SR_MII_CTRL_SS5_DEFAULT 0x0
	/*[field] SS6*/
	#define SR_MII_CTRL_SS6
	#define SR_MII_CTRL_SS6_OFFSET  6
	#define SR_MII_CTRL_SS6_LEN     1
	#define SR_MII_CTRL_SS6_DEFAULT 0x0
	/*[field] DUPLEX_MODE*/
	#define SR_MII_CTRL_DUPLEX_MODE
	#define SR_MII_CTRL_DUPLEX_MODE_OFFSET  8
	#define SR_MII_CTRL_DUPLEX_MODE_LEN     1
	#define SR_MII_CTRL_DUPLEX_MODE_DEFAULT 0x0
	/*[field] RESTART_AN*/
	#define SR_MII_CTRL_RESTART_AN
	#define SR_MII_CTRL_RESTART_AN_OFFSET  9
	#define SR_MII_CTRL_RESTART_AN_LEN     1
	#define SR_MII_CTRL_RESTART_AN_DEFAULT 0x0
	/*[field] LPM*/
	#define SR_MII_CTRL_LPM
	#define SR_MII_CTRL_LPM_OFFSET  11
	#define SR_MII_CTRL_LPM_LEN     1
	#define SR_MII_CTRL_LPM_DEFAULT 0x0
	/*[field] AN_ENABLE*/
	#define SR_MII_CTRL_AN_ENABLE
	#define SR_MII_CTRL_AN_ENABLE_OFFSET  12
	#define SR_MII_CTRL_AN_ENABLE_LEN     1
	#define SR_MII_CTRL_AN_ENABLE_DEFAULT 0x0
	/*[field] SS13*/
	#define SR_MII_CTRL_SS13
	#define SR_MII_CTRL_SS13_OFFSET  13
	#define SR_MII_CTRL_SS13_LEN     1
	#define SR_MII_CTRL_SS13_DEFAULT 0x0
	/*[field] LBE*/
	#define SR_MII_CTRL_LBE
	#define SR_MII_CTRL_LBE_OFFSET  14
	#define SR_MII_CTRL_LBE_LEN     1
	#define SR_MII_CTRL_LBE_DEFAULT 0x0
	/*[field] RST*/
	#define SR_MII_CTRL_RST
	#define SR_MII_CTRL_RST_OFFSET  15
	#define SR_MII_CTRL_RST_LEN     1
	#define SR_MII_CTRL_RST_DEFAULT 0x0

struct sr_mii_ctrl {
	a_uint32_t  _reserved0:5;
	a_uint32_t  ss5:1;
	a_uint32_t  ss6:1;
	a_uint32_t  _reserved1:1;
	a_uint32_t  duplex_mode:1;
	a_uint32_t  restart_an:1;
	a_uint32_t  _reserved2:1;
	a_uint32_t  lpm:1;
	a_uint32_t  an_enable:1;
	a_uint32_t  ss13:1;
	a_uint32_t  lbe:1;
	a_uint32_t  rst:1;
	a_uint32_t  _reserved3:16;
};

union sr_mii_ctrl_u {
	a_uint32_t val;
	struct sr_mii_ctrl bf;
};

/*[register] VR_MII_AN_CTRL*/
#define VR_MII_AN_CTRL
#define VR_MII_AN_CTRL_ADDRESS 0x1f8001
#define VR_MII_AN_CTRL_NUM     3
#define VR_MII_AN_CTRL_INC     0x1
#define VR_MII_AN_CTRL_TYPE    REG_TYPE_RW
#define VR_MII_AN_CTRL_DEFAULT 0x0
	/*[field] MII_AN_INTR_EN*/
	#define VR_MII_AN_CTRL_MII_AN_INTR_EN
	#define VR_MII_AN_CTRL_MII_AN_INTR_EN_OFFSET  0
	#define VR_MII_AN_CTRL_MII_AN_INTR_EN_LEN     1
	#define VR_MII_AN_CTRL_MII_AN_INTR_EN_DEFAULT 0x0
	/*[field] PCS_MODE*/
	#define VR_MII_AN_CTRL_PCS_MODE
	#define VR_MII_AN_CTRL_PCS_MODE_OFFSET  1
	#define VR_MII_AN_CTRL_PCS_MODE_LEN     2
	#define VR_MII_AN_CTRL_PCS_MODE_DEFAULT 0x0
	/*[field] TX_CONFIG*/
	#define VR_MII_AN_CTRL_TX_CONFIG
	#define VR_MII_AN_CTRL_TX_CONFIG_OFFSET  3
	#define VR_MII_AN_CTRL_TX_CONFIG_LEN     1
	#define VR_MII_AN_CTRL_TX_CONFIG_DEFAULT 0x0
	/*[field] SGMII_LINK_STS*/
	#define VR_MII_AN_CTRL_SGMII_LINK_STS
	#define VR_MII_AN_CTRL_SGMII_LINK_STS_OFFSET  4
	#define VR_MII_AN_CTRL_SGMII_LINK_STS_LEN     1
	#define VR_MII_AN_CTRL_SGMII_LINK_STS_DEFAULT 0x0
	/*[field] MII_CTRL*/
	#define VR_MII_AN_CTRL_MII_CTRL
	#define VR_MII_AN_CTRL_MII_CTRL_OFFSET  8
	#define VR_MII_AN_CTRL_MII_CTRL_LEN     1
	#define VR_MII_AN_CTRL_MII_CTRL_DEFAULT 0x0

struct vr_mii_an_ctrl {
	a_uint32_t  mii_an_intr_en:1;
	a_uint32_t  pcs_mode:2;
	a_uint32_t  tx_config:1;
	a_uint32_t  sgmii_link_sts:1;
	a_uint32_t  _reserved0:3;
	a_uint32_t  mii_ctrl:1;
	a_uint32_t  _reserved1:23;
};

union vr_mii_an_ctrl_u {
	a_uint32_t val;
	struct vr_mii_an_ctrl bf;
};

/*[register] VR_MII_AN_INTR_STS*/
#define VR_MII_AN_INTR_STS
#define VR_MII_AN_INTR_STS_ADDRESS 0x1f8002
#define VR_MII_AN_INTR_STS_NUM     3
#define VR_MII_AN_INTR_STS_INC     0x1
#define VR_MII_AN_INTR_STS_TYPE    REG_TYPE_RW
#define VR_MII_AN_INTR_STS_DEFAULT 0x0
	/*[field] CL37_ANCMPLT_INTR*/
	#define VR_MII_AN_INTR_STS_CL37_ANCMPLT_INTR
	#define VR_MII_AN_INTR_STS_CL37_ANCMPLT_INTR_OFFSET  0
	#define VR_MII_AN_INTR_STS_CL37_ANCMPLT_INTR_LEN     1
	#define VR_MII_AN_INTR_STS_CL37_ANCMPLT_INTR_DEFAULT 0x0
	/*[field] CL37_ANSGM_STS*/
	#define VR_MII_AN_INTR_STS_CL37_ANSGM_STS
	#define VR_MII_AN_INTR_STS_CL37_ANSGM_STS_OFFSET  1
	#define VR_MII_AN_INTR_STS_CL37_ANSGM_STS_LEN     4
	#define VR_MII_AN_INTR_STS_CL37_ANSGM_STS_DEFAULT 0x0
	/*[field] USXG_AN_STS*/
	#define VR_MII_AN_INTR_STS_USXG_AN_STS
	#define VR_MII_AN_INTR_STS_USXG_AN_STS_OFFSET  8
	#define VR_MII_AN_INTR_STS_USXG_AN_STS_LEN     7
	#define VR_MII_AN_INTR_STS_USXG_AN_STS_DEFAULT 0x0

struct vr_mii_an_intr_sts {
	a_uint32_t  cl37_ancmplt_intr:1;
	a_uint32_t  cl37_ansgm_sts:4;
	a_uint32_t  _reserved0:3;
	a_uint32_t  usxg_an_sts:7;
	a_uint32_t  _reserved1:17;
};

union vr_mii_an_intr_sts_u {
	a_uint32_t val;
	struct vr_mii_an_intr_sts bf;
};



#endif
